
From: Andrew Morton <akpm@osdl.org>

Nic cant spel

Cc: Seetharami Seelam <seelam@cs.utep.edu>
Cc: Nick Piggin <npiggin@suse.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/block/as-iosched.c |   12 ++++++------
 1 files changed, 6 insertions(+), 6 deletions(-)

diff -puN drivers/block/as-iosched.c~as-cooperating-processes-cant-spel drivers/block/as-iosched.c
--- devel/drivers/block/as-iosched.c~as-cooperating-processes-cant-spel	2005-09-10 02:44:01.000000000 -0700
+++ devel-akpm/drivers/block/as-iosched.c	2005-09-10 02:44:01.000000000 -0700
@@ -69,7 +69,7 @@
 
 /* Bits in as_io_context.state */
 enum as_io_states {
-	AS_TASK_RUNNING=0,	/* Process has not exitted */
+	AS_TASK_RUNNING=0,	/* Process has not exited */
 	AS_TASK_IOSTARTED,	/* Process has started some IO */
 	AS_TASK_IORUNNING,	/* Process has completed some IO */
 };
@@ -103,7 +103,7 @@ struct as_data {
 
 	unsigned long exit_prob;	/* probability a task will exit while
 					   being waited on */
-	unsigned long exit_no_coop;	/* probablility an exitted task will
+	unsigned long exit_no_coop;	/* probablility an exited task will
 					   not be part of a later cooperating
 					   request */
 	unsigned long new_ttime_total; 	/* mean thinktime on new proc */
@@ -629,7 +629,7 @@ static void as_antic_timeout(unsigned lo
 		kblockd_schedule_work(&ad->antic_work);
 
 		if (aic->ttime_samples == 0) {
-			/* process anticipated on has exitted or timed out*/
+			/* process anticipated on has exited or timed out*/
 			ad->exit_prob = (7*ad->exit_prob + 256)/8;
 		}
 		if (!test_bit(AS_TASK_RUNNING, &aic->state)) {
@@ -756,7 +756,7 @@ static int as_close_req(struct as_data *
 	if (aic->seek_samples == 0) {
 		/*
 		 * Process has just started IO. Use past statistics to
-		 * guage success possibility
+		 * gauge success possibility
 		 */
 		if (ad->new_seek_mean > s) {
 			/* this request is better than what we're expecting */
@@ -782,7 +782,7 @@ static int as_close_req(struct as_data *
  * dispatch it ASAP, because we know that application will not be submitting
  * any new reads.
  *
- * If the task which has submitted the request has exitted, break anticipation.
+ * If the task which has submitted the request has exited, break anticipation.
  *
  * If this task has queued some other IO, do not enter enticipation.
  */
@@ -842,7 +842,7 @@ static int as_can_break_anticipation(str
 	}
 
 	if (!test_bit(AS_TASK_RUNNING, &aic->state)) {
-		/* process anticipated on has exitted */
+		/* process anticipated on has exited */
 		if (aic->ttime_samples == 0)
 			ad->exit_prob = (7*ad->exit_prob + 256)/8;
 
_
